Bug 844960 - iniparser-3.1 is available
iniparser-3.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iniparser (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
: FutureFeature, Reopened, Triaged
Depends On:
Blocks: owncloud-csync
  Show dependency treegraph
 
Reported: 2012-08-01 07:11 EDT by Upstream Release Monitoring
Modified: 2016-01-31 20:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-23 19:27:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-08-01 07:11:52 EDT
Latest upstream release: 3.1
Current version in Fedora Rawhide: 3.0
URL: http://ndevilla.free.fr/iniparser/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Jaromír Cápík 2012-08-10 14:11:35 EDT
iniparser-3.1-1.fc19 successfully built .... closing
Comment 2 Joseph Marrero 2012-08-11 10:32:23 EDT
This package is important for f18 and f17 specially too there is a bug in iniparser.h wich only passes values as char as oposed to const char that programs like csync need. This bug has been fixed in the new versions,fix not availible on 3.0.
Comment 3 Joseph Marrero 2012-08-14 10:57:44 EDT
changed version needed in bug, not only rawhide but 17 and 18 is also needed update or bug fix back port.

please refer to:  http://ndevilla.free.fr/iniparser/

Date: 08 Apr 2012
iniparser 3.1 has just been released.

Changes with respect to 3.0:
- Const'ified input string arguments (thanks to A. Mazo)  ******************
- Removed CVS tags from source. Version control now handled by git
Comment 4 Rex Dieter 2012-08-14 13:19:42 EDT
I can help do the build for f18 at least, if it's just a matter of time.  or do you have other concerns?
Comment 5 Jaromír Cápík 2012-08-14 13:46:12 EDT
Hello guys.

I'll merge the changes to f17 and f18 tomorrow.

Regards,
Jaromir.
Comment 6 Rex Dieter 2012-08-14 13:47:44 EDT
Thanks!
Comment 7 Joseph Marrero 2012-08-14 18:33:38 EDT
Thank you :)
Comment 8 Fedora Update System 2012-08-15 11:13:13 EDT
iniparser-3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/iniparser-3.1-1.fc17
Comment 9 Fedora Update System 2012-08-15 11:13:25 EDT
iniparser-3.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iniparser-3.1-1.fc18
Comment 10 Fedora Update System 2012-08-15 11:58:46 EDT
Package iniparser-3.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iniparser-3.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11909/iniparser-3.1-1.fc18
then log in and leave karma (feedback).
Comment 11 Joseph Marrero 2012-08-15 17:16:59 EDT
Thank you Jaromír for the pushes to f17 and f18 :)
Comment 12 Fedora Update System 2012-08-23 19:27:05 EDT
iniparser-3.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-09-17 18:41:44 EDT
iniparser-3.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.